package tutorial.controller
{
	
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;
	
	import tutorial.model.UsersProxy;
	import tutorial.view.Application;
	import tutorial.view.ApplicationMediator;
	
	public class ApplicationStartupCmd extends SimpleCommand
	{
		override public function execute(note:INotification):void
		{
			facade.registerProxy(new UsersProxy());
			facade.registerMediator(new ApplicationMediator(note.getBody() as Application));
		}
	}
}
